#include <fxsaber\Virtual\String.mqh> // https://www.mql5.com/ru/code/22577

struct OBJECT_TRADE
{
protected:
  string StringBetween( string &Str, const string StrBegin, const string StrEnd = NULL ) const
  {
    string Res = NULL;
    int PosBegin = ::StringFind(Str, StrBegin);

    if ((PosBegin >= 0) || (StrBegin == NULL))
    {
      PosBegin = (PosBegin >= 0) ? PosBegin + ::StringLen(StrBegin) : 0;

      const int PosEnd = ::StringFind(Str, StrEnd, PosBegin);

      if (PosEnd != PosBegin)
        Res = ::StringSubstr(Str, PosBegin, (PosEnd >= 0) ? PosEnd - PosBegin : -1);

      Str = (PosEnd >= 0) ? ::StringSubstr(Str, PosEnd + ::StringLen(StrEnd)) : NULL;

      if (Str == "")
        Str = NULL;
    }

    return((Res == "") ? NULL : Res);
  }

public:
  long Ticket;

  STRING Name;

  bool Is( const string &sName ) const
  {
    return(!::StringFind(sName, "autotrade #"));
  }

  bool Set( const string &sName )
  {
    const bool Res = this.Is(sName);

    if (Res)
    {
      this.Ticket = (long)::StringSubstr(sName, 11);

      this.Name = sName;
    }

    return(Res);
  }
#define TOSTRING(A) #A + " = " + (string)(this.A) + "\n"
  string ToString( void ) const
  {
    return(TOSTRING(Ticket) + TOSTRING(Name.Get()));
  }
#undef TOSTRING
};